
    <div class="modal-header">
        <div class="v-card__title" style="    font-size: 19px; margin-left: 11px;">Select Traveler</div>
        <button type="button" class="close" ng-click="close()" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
    </div>   
 
    <div class="modal-body" style="overflow:auto; height:300px; overflow-x:hidden;">
        <div class="v-card__text traveller-list" >
            <div class="">
                <div>
                    <form>
                        <div class="row">
                            <div class="col-md-4 col-lg-3">
                                <label class="mb-0">Given Name</label>
                                <div>
                                    <input type="text" name="paxName" class="form-control required traveller-details-upper ft-sz-12" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');" id="paxName" ng-model="trvellersrch.paxName" placeholder="Pax Name" autocomplete="off"
                                        minlength='2' />
                                </div>
                            </div>
                            <div class="col-md-4 col-lg-3">
                                <label class="mb-0">Surname</label>
                                <div>
                                    <input type="text" name="surName" class="form-control required traveller-details-upper ft-sz-12" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');" id="surName" ng-model="trvellersrch.surName" placeholder="Surname" autocomplete="off"
                                        minlength='2' />
                                </div>
                            </div>
                            <div class="col-md-12 col-lg-3">
                                <label class="mb-0">Date of Birth</label>
                                <div class="ds-flx">
                                    <div>
                                        <select class="form-control  ft-sz-12" title="dd" ng-model="trvellersrch.birthdate" name="sbirthdate" id="sbirthdate" style="padding:5px!important;" ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,false)">
                                            <option value="" selected disabled>dd</option>
                                            <option ng-repeat="dobdate in trvellersrchday">{{dobdate}}</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class="form-control  ft-sz-12" title="mm" ng-model="trvellersrch.birthmonth" id="sbirthmonth" name="sbirthmonth" ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,true);" style="padding:5px!important;">
                                            <option value="" selected disabled>mm</option>
                                            <option ng-repeat="dobmonth in trvellersrchmonth">{{dobmonth}}</option>
                                        </select>
                                    </div>
                                    <div>

                                        <select class="form-control ft-sz-12  yearfield" title="yyyy" ng-model="trvellersrch.birthyear" id="sbirthyear" name="sbirthyear"  ng-change="changeDOB(trvellersrch.birthyear,TravelType,trvellersrch.birthmonth,false)">
                                            <option value="" selected disabled>yyyy</option>
                                            <option ng-repeat="srchyear in trvellersrchyears">{{srchyear}}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-lg-3">
                                <label class="mb-0">E-mail</label>
                                <div>
                                    <input type="email" name="smail" ng-model="trvellersrch.email"  
                                    pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$" 
                                    class="form-control required traveller-details-upper ft-sz-12" id="smail" placeholder="E-mail" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 col-lg-3">
                                <label class="mb-0">Contact</label>
                                <div class="ds-flx">
                                    <ui-select style="width:90%" class="input-border ft-sz-12" autocomplete="off" title="Country Code" ng-model="trvellersrch.mobcntrycodetrobj" theme="bootstrap"  name="sphonecontact" id="sphonecontact" on-select="contactNochange();">
                                        <ui-select-match placeholder="Coun..Code" class="ft-sz-12">
                                            <img height="10px" width="10px" src="images/Flag/{{$select.selected.code}}.gif" class="ft-sz-12">
                                            {{$select.selected.code}} - {{$select.selected.name}}
                                        </ui-select-match>
                                        <ui-select-choices repeat="item in (countryList | filter: $select.search)">
                                            <img height="20px" width="20px" src="images/Flag/{{item.code}}.gif">
                                
                                            <span ng-bind="item.code"></span>

                                            <span>-</span>
                                            <span ng-bind="item.name"></span>

                                        </ui-select-choices>
                                    </ui-select>
                                    <div>
                                        <input type="text" name="acontact" style="padding-left:4px;" 
                                        onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                        this.value=this.value.replace(/[^0-9]/g, '')" maxlength="14" minlength="7" id="scontact_" ng-keyup="contactNochange()"
                                            class="form-control required con-width ft-sz-12" placeholder="Contact" ng-model="trvellersrch.mobile" autocomplete="off" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 col-lg-2">
                                <label class="mb-0">Passport No.</label>
                                <div>
                                    <input type="test" name="spassport" id="spassport" ng-model="trvellersrch.passportNo" 
                                    onkeyup="this.value=this.value.replace(/[^a-zA-Z0-9]/g, '')"
                                    placeholder="Passport No" class="ft-sz-12 form-control required traveller-details-upper" />
                                </div>
                            </div>
                            <!-- <div class="col-md-4 col-lg-3" style="margin-top: 25px;">
                           

                                <label for="checkid">Dependentsss</label><input type="checkbox" ng-disabled="!(trvellersrch.paxName.length >2 || trvellersrch.surName.length>2 || trvellersrch.passportNo.length > 4)" ng-model="checkedDependent" style="margin-left:16px;"  ng-change="dependent(checkedDependent)"/>
                            </div> -->
                                  <div class="col-md-4 col-lg-2 pl-0 ds-flx" style="justify-content: flex-end;">
                            
                                <button type="button" style="border: 1px solid #1dace4;
                                width: 106px;
                                margin-top: 17px;
                                margin-right: 0px;" id="custmerSearch" ng-click="searchTrvlr(trverlindx,TravelType)" 
                                class="btn btn-block btn-solid continue-book">
                                <span class="ft-sz-12">Search </span></button>
                                <button type="button" style="border: 1px solid #1dace4;
                                width: 106px;
                                margin-top: 17px;
                                margin-left: 31px;
                                margin-right: -94%;" id="custmerSearch" ng-click="initSrchObj()" 
                                class="btn btn-block btn-solid continue-book">
                                <span class="ft-sz-12">Clear </span></button>
                            </div>
                        </div>
                    
                    </form>
                </div>
                <table ng-show="allTravellerData.length>0" class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                    <thead>
                        <tr role="row" style="    font-size: .875rem;" class="bk-tr">
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th> -->
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Select</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Last Name">Last Name</th> -->
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Relationship">Relationship</th> -->
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th>
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="To Date">To Date</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booked Fare">Booked Fare</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Status">Status</th>
                            <th class="sorting_disabled text-center" rowspan="1" colspan="1" aria-label="Status">Action</th> -->
                        </tr>

                    </thead>
                   
                    <tbody class="bk-tbdy">
                        
                        
                        
                        
                        

                        <!-- <i class="las la-long-arrow-alt-right text-info"></i> CAI -->
                    <tr role="row" class="odd"  dir-paginate-start="singlePsgr in allTravellerData | itemsPerPage:10 |filter:search track by $index" ng-init="parentindex = $index">								                   
                        <!-- <td>

                        </td> -->
                        <td class="ds-flx"> 
                            <span ng-show="isdependents">
                            <button class="expand-brd" ng-click="expanded = !expanded" expand>
                                <span ng-bind="expanded ? '-' : '+'" ></span>
                            </button>
                            </span>
                            <input style="height: 14px;width: 30px;
                             margin-left: 25px !important;" id="checkedvalue_{{singlePsgr.customerId}}" name="checkedvalue_{{singlePsgr.customerId}}"
                             type="checkbox" checklist-value="singlePsgr" 
                             tabindex="0" value="{{ singlePsgr.customerId }}" ng-model="singlePsgr.checked" />
                        </td>    
                        <td>{{singlePsgr.firstName}} {{singlePsgr.lastName}}</td>
                            <!-- <td>{{singlePsgr.lastName}}</td> -->
                            <!-- <td>{{singlePsgr.relationShip}} </td> -->
                            <td>{{singlePsgr.emailId}}</td>
                            <td ng-If="singlePsgr.phoneNumber != null">{{singlePsgr.countryCode}} {{singlePsgr.phoneNumber}}</td>
                            <td ng-If="singlePsgr.phoneNumber == null">-</td>
                            <td>{{singlePsgr.dateOfBirth  | date : "yyyy-MM-dd"}}</td>
                            <td>{{singlePsgr.passportNo}}</td>

                           
                            <!-- <td>{{bookingdata.departureDate | date:'dd/MM/yyyy'}}</td>
                            <td>{{bookingdata.arrivalDate | date:'dd/MM/yyyy'}}</td>
                            <td>{{bookingdata.bookingCurrency}} {{bookingdata.grandTotal}}</td>
                            <td class="text-success">{{bookingdata.status}}</td> -->

                        </tr>
                        <tr dir-paginate-end ng-show="expanded">
                            <td colspan="6" class="no-depent" ng-if="singlePsgr.dependents == null && isdependents">
                            <h6 style="margin-left:25px !important">No dependent under this Pax profile ...!!!</h6>
                            </td>
                            <td colspan="6" ng-show="singlePsgr.dependents != null" class="p-0">
                                <table class="">
                                    <!-- <thead>
                                        <tr>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Select</th>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th>
                                        </tr>
                                    </thead> -->
                                    <tbody class="ft-sz-14">
                                        <tr ng-repeat="dependents in singlePsgr.dependents track by $index" style="background-color: white;">
                                            <td> 
                                                <input style="margin-left: 25px !important;" id="checkedvalue{{parentindex}}{{$index}}" value="true" name="checkedvalue{{parentindex}}{{$index}}"
                                                 type="checkbox" ng-model="dependents.checked" />
                                            </td>    
                                            <td>{{dependents.firstName}} {{dependents.lastName}}</td>
                                            <td>{{dependents.emailId}}</td>
                                            <td ng-If="dependents.phoneNumber != null">{{dependents.countryCode}} {{dependents.phoneNumber}}</td>
                                            <td ng-If="dependents.phoneNumber == null">-</td>
                                            <td>{{dependents.dateOfBirth  | date : "yyyy-MM-dd"}}</td>
                                            <td>{{dependents.passportNo}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <div class="" ng-show="artloadingcancellation">
                            <div class="cssload-container">
                                <div class="cssload-tube-tunnel">
                                    <img src="assets/loadingart.gif" alt="loader" class="" style="right: 40% !important;
                                    width: 188px;
                                    margin-top: 51px;
                                    position: absolute;
                                    margin-left: 120px;"/>
                                </div>
                               
                            </div>
                        </div>
                    </tbody>
                        
                </table>

                <dir-pagination-controls max-size="3" direction-links="true" ng-show="allTravellerData.length>0"
                boundary-links="true" on-page-change="pageChanged(newPageNumber)" class="fr"></dir-pagination-controls>
               
                <div ng-show="allTravellerData.length == 0">
                    <h3>Result Not Found...!</h3>
                </div>
                
             
            </div>
        </div>
    </div>
    <div class="modal-footer" ng-show="allTravellerData.length == 0">
        <button type="submit" style="     border: 1px solid #1dace4;
        width: 102px;
        margin-top: -9px;
        margin-right: 37%;"  ng-click="close()" data-dismiss="modal" class="btn btn-block btn-solid continue-book"  ><span
                class="v-btn__content" >
                Ok
            </span></button>
    </div> 
    <div class="modal-footer" ng-show="allTravellerData.length>0">
        <button type="submit" style="     border: 1px solid #1dace4;
        width: 102px;
        margin-top: -9px;
        margin-right: 37%;"  ng-click="ConfirmTravellerData()" data-dismiss="modal" class="btn btn-block btn-solid continue-book"  ><span
                class="v-btn__content" >
                Confirm
            </span></button>
    </div> 
<style>
    .no-depent{
        color: #e65355;
    }
    .expand-brd{
        border: 0px;
    }
</style>